package bleutils;

import com.example.passivebledemo.MainActivity;
import com.example.passivebledemo.R;

import android.Manifest;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.location.LocationManager;
import android.provider.Settings;
import android.support.v4.app.ActivityCompat;
import android.view.Gravity;
import android.widget.Toast;

public class GpsPermission {

	Context context;
	MainActivity mainActivity;

	public GpsPermission(Context context) 
	{
		this.context = context;
		mainActivity = (MainActivity) context;
	}
	
	/**
	 * ȡGPSλϢǷѿ
	 * @return
	 */
	public Boolean getGpsLocationPermissionState()
	{
		LocationManager locationManager = (LocationManager) mainActivity.getSystemService(Context.LOCATION_SERVICE);
		if (!locationManager.isProviderEnabled(LocationManager.GPS_PROVIDER)) return false;
		else return true;
	}
	
	
	/**
	 * ʾ ʾGPSλϢ
	 */
	public void ShowOpenGpsLocationToast()
	{
		AlertDialog.Builder dialog = new AlertDialog.Builder(mainActivity);
//      dialog.setTitle("ҪʹöλܣGPS");
		dialog.setMessage(MainActivity.GetResourceString(R.string.OpenGpsPrompt));
		dialog.setPositiveButton(MainActivity.GetResourceString(R.string.GoToSet),
				new DialogInterface.OnClickListener() {
					@Override
					public void onClick(DialogInterface dialogInterface, int position) {
						// תֻý棬ûGPS
						Intent intent = new Intent(Settings.ACTION_LOCATION_SOURCE_SETTINGS);
						mainActivity.startActivityForResult(intent, 0); // ɺ󷵻صԭĽ
					}
				});

		dialog.setNeutralButton(MainActivity.GetResourceString(R.string.Cancel), new DialogInterface.OnClickListener() {
			@Override
			public void onClick(DialogInterface dialogInterface, int position) {
//                Log.d(TAG, "---> ȡ");
				dialogInterface.dismiss();
			}
		});

		AlertDialog alertDialog = dialog.create();
		// 治ʧ
		alertDialog.setCanceledOnTouchOutside(false);
		alertDialog.setCancelable(false);

		alertDialog.show();
	}
	
	
	
	
	
	
	
	

	/**
	 * ǷȡλȨ
	 */
	public void checkApkGpsPermission()
	{
//		if(ActivityCompat.checkSelfPermission(context, Manifest.permission.ACCESS_FINE_LOCATION) != 0)
//		{
//////			1.ѾжλȨޣ 0
//////			2.ѯ״̬ -1
//////			3.ûֶܾöλȨޣ-2
//			//Ȩ
//			ActivityCompat.requestPermissions(mainActivity, new String[]{Manifest.permission.ACCESS_FINE_LOCATION}, 0x01);
//		}
	}

	/**
	 * ȡ׿汾
	 * 
	 * @return
	 */
	public static String getAndroidVersion() {
		return android.os.Build.VERSION.RELEASE;
	}

}

