package tools;

import java.text.SimpleDateFormat;
import java.util.Date;

public class ConversionUtils {
	
	/**
	 * ǰʱ-ʱ(HH:mm:ss SSS)
	 * @return
	 */
	public static String NowTime_PointTime() {
		Date date = new Date();
		SimpleDateFormat sdf = new SimpleDateFormat("HH:mm:ss SSS");
		String createdate = sdf.format(date);
		return createdate;
	}
	
	
	/**
     * 16ַתΪbyte[]
     * 
     * @param str
     * @return
     */
    public static byte[] toBytes(String str) {
        if(str == null || str.trim().equals("")) {
            return new byte[0];
        }
        str = str.replace(" ", "");
        byte[] bytes = new byte[str.length() / 2];
        for(int i = 0; i < str.length() / 2; i++) {
            String subStr = str.substring(i * 2, i * 2 + 2);
            bytes[i] = (byte) Integer.parseInt(subStr, 16);
        }
        return bytes;
    } 
	
    
	  /**
     * byte[]תΪ16Ƶַ
     *
     * @param bytes Ҫתֽ
     * @return תĽ
     */
    public static String bytesToHexString(byte[] bytes) {
        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < bytes.length; i++) {
            String hex = Integer.toHexString(0xFF & bytes[i]);
            if (hex.length() == 1) {
                sb.append('0');
            }
            sb.append(hex);
        }
        return sb.toString();
    }
	
	
	
    /**
     * EpcֽڳȡдPCֵ
     * @param EpcByteLen
     * @return
     */
	public static String EpcByteLenToPcValue(int EpcByteLen)
	{
		String StrPcValue = "";		
		if(EpcByteLen%4!=0){//			
			StrPcValue = (EpcByteLen/4) + "800";						
		}else {
			StrPcValue = (EpcByteLen/4) + "000";
		}	
		return StrPcValue;
	}
	
	
	 /**
     * ģ̼汾ʾת
     *
     * @param data Ҫתֽ
     * @return תĽ
     */
    public static final String IntToHexString_Ver(int ver) {
   		StringBuffer result = new StringBuffer();
   		String hex;
   		hex = Integer.toHexString(ver);
   		if (hex.length() == 1) {
   			hex = '0' + hex;
   		}
   		result.append(hex.toUpperCase());
   		
   		if(ver < 16) return result.toString().substring(1,2);
   		else return result.toString();
    }
	
    //-------------------ʱʽת-----------------------------------------------
    
    /**
     * intתʱĸʽ
     *
     * @param time long͵ ms
     * @return HH:mm:ss.SSS
     * @author zero 2019/04/11
     */
    public static String msecToTime(int time) {   	
    	try
    	{
            String timeStr = null;
            int hour = 0;
            int minute = 0;
            int second = 0;
            int millisecond = 0;
            if (time <= 0)
                return "00:00:00.000";
            else {
                second = time / 1000;
                minute = second / 60;
                millisecond = time % 1000;
                if (second < 60) {
                    timeStr = "00:00:" + unitFormat(second) + "." + unitFormat2(millisecond);
                } else if (minute < 60) {
                    second = second % 60;
                    timeStr = "00:" + unitFormat(minute) + ":" + unitFormat(second) + "." + unitFormat2(millisecond);
                } else {// >=3600 000ʱ
                    hour = minute / 60;
                    minute = minute % 60;
                    second = second - hour * 3600 - minute * 60;
                    timeStr = unitFormat(hour) + ":" + unitFormat(minute) + ":" + unitFormat(second) + "."
                        + unitFormat2(millisecond);
                }
            }
            return timeStr;
    	}
    	catch(Exception ex)
    	{
    		 return time + "MS";
    	}
    }
    
    
    public static String unitFormat(int i) {// ʱĸʽת
        String retStr = null;
        if (i >= 0 && i < 10)
            retStr = "0" + Integer.toString(i);
        else
            retStr = "" + i;
        return retStr;
    }
 
    public static String unitFormat2(int i) {// ĸʽת
        String retStr = null;
        if (i >= 0 && i < 10)
            retStr = "00" + Integer.toString(i);
        else if (i >= 10 && i < 100) {
            retStr = "0" + Integer.toString(i);
        } else
            retStr = "" + i;
        return retStr;
    }
	
	
	
	

}
