package com.example.passivebledemo;

import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.media.MediaPlayer;
import android.os.IBinder;
import android.util.Log;
import android.view.Gravity;
import android.widget.Toast;

public class MyService extends Service {

	private static final String TAG = MyService.class.getSimpleName();

	@Override
	public void onCreate() {
		super.onCreate();
		Log.d(TAG, "onCreate()");
	}

	@Override
	public int onStartCommand(Intent intent, int flags, int startId) {
		Log.d(TAG, "onStartCommand()");
		openNotificationNew();
		return START_NOT_STICKY;// ֹʱؽȽϰȫ
	}

	Toast toast = null;

	public void ShowToast(String Msg) {
		if (toast != null) {
			toast.cancel();// ע֮ǰʾϢ
			toast = null;
		}
		toast = Toast.makeText(MyService.this, Msg, 0);// .show();
		toast.setGravity(Gravity.TOP | Gravity.CENTER, 3, 1350);
		// ĻʾXYƫ0
		// toast.setGravity(Gravity.CENTER, 0, 0);
		toast.show();
	}

	/**
	 * һ֪ͨ
	 */
	private void openNotification() {
		Intent intent = new Intent(this, MainActivity.class);
		PendingIntent pendingIntent = PendingIntent.getActivity(this, 0, intent, PendingIntent.FLAG_CANCEL_CURRENT);

		// API11֮󹹽Notificationķʽ
		Notification.Builder builder = new Notification.Builder(this.getApplicationContext()); // ȡһNotification
		Intent nfIntent = new Intent(MyService.this, MainActivity.class);
		builder.setContentIntent(pendingIntent).setContentTitle("беTitle") // бı
				.setContentText("Ҫʾ") // 
				.setWhen(System.currentTimeMillis()); // ø֪ͨʱ

		Notification notification = builder.build(); // ȡõNotification
		notification.defaults = Notification.DEFAULT_SOUND; // ΪĬϵ

		startForeground(Notification.FLAG_ONGOING_EVENT, notification);// ʼǰ̨
	}

	private static final int NOTIFYID_1 = 1;

	/**
	 * һ֪ͨ
	 */
	private void openNotificationNew() {
		NotificationManager mNManager = (NotificationManager) getSystemService(NOTIFICATION_SERVICE);
		Bitmap LargeBitmap = BitmapFactory.decodeResource(getResources(), R.drawable.ic_launcher);

		// һPendingIntentNotificationһActivity
		Intent it = new Intent(this, MainActivity.class);
		PendingIntent pit = PendingIntent.getActivity(this, 0, it, 0);

		// ͼƬ,֪ͨ,ʱ,ʾʽ
		Notification.Builder mBuilder = new Notification.Builder(this);
		mBuilder.setContentTitle(MainActivity.GetResourceString(R.string.RfidBleDemo)) // 
				.setContentText(MainActivity.GetResourceString(R.string.RfidBleDemoRuning)) // 
				// .setSubText("RFIDɨ") // һС
				// .setTicker("յϢ~") // յϢ״̬ʾϢ
				.setWhen(System.currentTimeMillis()) // ֪ͨʱ
				.setSmallIcon(R.drawable.ic_launcher) // Сͼ
				.setLargeIcon(LargeBitmap) // ôͼ
				// .setDefaults(Notification.DEFAULT_LIGHTS |
				// Notification.DEFAULT_VIBRATE) //Ĭϵɫ
				// .setDefaults(Notification.DEFAULT_SOUND) //ȡĬ
				// .setSound(Uri.parse("android.resource://" + getPackageName()
				// + "/" + R.raw.biaobiao)) //Զʾ
				.setContentIntent(pit); // PendingIntent
		Notification notify1 = mBuilder.build();
		// mNManager.notify(NOTIFYID_1, notify1);
		startForeground(Notification.FLAG_ONGOING_EVENT, notify1);// ʼǰ̨
	}

	@Override
	public IBinder onBind(Intent intent) {
		Log.d(TAG, "onBind()");
		// TODO: Return the communication channel to the service.
		throw new UnsupportedOperationException("Not yet implemented");
	}

	@Override
	public void onDestroy() {
		Log.d(TAG, "onDestroy()");
		stopForeground(true);// ֹͣǰ̨--ʾǷƳ֮ǰ֪ͨ
		super.onDestroy();
	}

}

