package tools.dialogutils;

import com.example.passivebledemo.MainActivity;
import com.example.passivebledemo.R;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Spinner;
import tools.ShowToastUtils;

public class PowerUtils {
	
	public static int NowPowerValue = 0;
	public static int PowerMinValue = 5;//Сù
	public static int PowerMaxValue = 36;//ù
	
	public static String[] st_power_range = new String[] { "5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20",
			"21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36" };
	
	public static int SelectPowerValue = 0;
	
	public static void ShowPowerConfigDialog(final Context context) 
	{
		final MainActivity mainActivity = (MainActivity)context;
		
		View view = LayoutInflater.from(context).inflate(R.layout.dialog_power, null);
		Spinner spinnerPower = (Spinner) view.findViewById(R.id.sp_Power);
		ArrayAdapter<String> arrayAdapter = new ArrayAdapter<>(context, android.R.layout.simple_spinner_item,
				st_power_range);
		 //ѡķʽ
		arrayAdapter.setDropDownViewResource(R.layout.custom_spinner_dropdown_item);
		spinnerPower.setAdapter(arrayAdapter);
		spinnerPower.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
			@Override
			public void onItemSelected(AdapterView<?> parent, View view, int position, long id) {
				SelectPowerValue =  Integer.parseInt(st_power_range[position]); 
			}

			@Override
			public void onNothingSelected(AdapterView<?> parent) {

			}
		});		
		if(NowPowerValue != 0)spinnerPower.setSelection(NowPowerValue - PowerMinValue);		
		new AlertDialog.Builder(context).setTitle(MainActivity.GetResourceString(R.string.PowerConfigAndPowerRange) + PowerMinValue + "~" + PowerMaxValue + ")")
		        .setView(view)
				.setPositiveButton(MainActivity.GetResourceString(R.string.Set), new DialogInterface.OnClickListener() {
					@Override
					public void onClick(DialogInterface dialog, int which) 
					{
						try
						{
							if(PowerMinValue <= SelectPowerValue  &&  SelectPowerValue <= PowerMaxValue)
							{
								mainActivity.SetModulePower(SelectPowerValue);
							}
							else
							{
								ShowToastUtils.ShowToast(context,MainActivity.GetResourceString(R.string.PowerErrorPrompt));
							}
						}
						catch(Exception ex)
						{
							ShowToastUtils.ShowToast(context,MainActivity.GetResourceString(R.string.PowerErrorPrompt));
						}
					}
				})
				.setNegativeButton(MainActivity.GetResourceString(R.string.Get), new DialogInterface.OnClickListener() {
					@Override
					public void onClick(DialogInterface dialog, int which) {
						mainActivity.GetModulePower();
					}
				})				
		.show();
	}	

}
