package tools.dialogutils;

import com.example.passivebledemo.MainActivity;
import com.example.passivebledemo.R;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.SharedPreferences;
import android.content.DialogInterface.OnClickListener;
import android.media.SoundPool;
import android.widget.EditText;
import tools.DemoConfig;
import tools.ShowToastUtils;
import tools.ValueHandleUtils;

/**
 * ʽѡ񵯴
 * @author admin
 *
 */
public class SoundModeSelectUtils {
	
	/**
	 * 
	 */
	public static SoundPool soundPool;
	
	/**
	 * ±ǩݱ־
	 */
	public static int newtagFlag = 0;
	
	
	public static int RadioButtonIndex = 0;
	
	//Դ
	public static String[] SelectSoundMode_Array = new String[] { "бǩ", "бǩ", "ָEPC", "ָTID" };
	
	
	/**
	 * ض귢ģʽѡ 
	 */
	public static void ShowSoundModeSelectDialog(final Context context,final ValueHandleUtils valueHandleUtils) 
	{
		try 
		{
			SelectSoundMode_Array = new String[] { MainActivity.GetResourceString(R.string.SoundMode0),
					MainActivity.GetResourceString(R.string.SoundMode1), 
					MainActivity.GetResourceString(R.string.SoundMode2),
					MainActivity.GetResourceString(R.string.SoundMode3) };
			
			RadioButtonIndex = DemoConfig.SoundModeSelectIndex;

			final EditText et = new EditText(context);
			et.setText(DemoConfig.SoundTagsData);

			final AlertDialog.Builder builder = new AlertDialog.Builder(context);
			builder.setTitle( MainActivity.GetResourceString(R.string.SelectSoundMode)).setView(et).setSingleChoiceItems(SelectSoundMode_Array,
					DemoConfig.SoundModeSelectIndex, new OnClickListener() {
						@Override
						public void onClick(DialogInterface dialog, int which) 
						{
							RadioButtonIndex = which;

							if (RadioButtonIndex == 0 || RadioButtonIndex == 1) et.setText(DemoConfig.SoundTagsData);
							if (RadioButtonIndex == 2) et.setText(MainActivity.ClickEPC);
							if (RadioButtonIndex == 3) et.setText(MainActivity.ClickTID);						
						}
					}).setPositiveButton(MainActivity.GetResourceString(R.string.Confirm), new DialogInterface.OnClickListener() {
						@Override
						public void onClick(DialogInterface dialog, int which) {
							SetSoundModeSelectIndex(context,valueHandleUtils,et.getText().toString());
						}
					}).setNegativeButton(MainActivity.GetResourceString(R.string.Cancel), new DialogInterface.OnClickListener() {
						@Override
						public void onClick(DialogInterface dialog, int which) {

						}
					}).create();
			builder.show();
		} 
		catch (Exception ex) {

		}
	}

	
	/**
	 *  ñ淢ģʽ
	 * @param soundTagsData
	 */
	public static void SetSoundModeSelectIndex(Context context,ValueHandleUtils valueHandleUtils,String soundTagsData) 
	{
		valueHandleUtils.SetSoundModeSelectIndex(RadioButtonIndex,soundTagsData);
		ShowSoundModeSelectPrompt(context);
	}

	
	/**
	 * ñ淢ģʽʾ  
	 */
	public static void ShowSoundModeSelectPrompt(Context context) 
	{
		String StrPrompt = MainActivity.GetResourceString(R.string.NowSoundMode);
		if (DemoConfig.SoundModeSelectIndex == 0 || DemoConfig.SoundModeSelectIndex == 1) 
		{
			StrPrompt += SelectSoundMode_Array[DemoConfig.SoundModeSelectIndex];
		} 
		else if (DemoConfig.SoundModeSelectIndex == 2 || DemoConfig.SoundModeSelectIndex == 3) 
		{
			StrPrompt += SelectSoundMode_Array[DemoConfig.SoundModeSelectIndex] + "," + MainActivity.GetResourceString(R.string.SpecifyData)
					+ DemoConfig.SoundTagsData;
		}
		ShowToastUtils.ShowToast(context,StrPrompt);
	}
	
	

}
