package tools;

import com.example.passivebledemo.R;

import android.content.Context;
import android.media.AudioAttributes;
import android.media.AudioManager;
import android.media.SoundPool;

public class Sound {
	
    private SoundPool successSoundPool,failSoundPool;
    AudioManager mAudioManager;

    /**
     * ǰý
     */
    public static float volume = 1;

    public Sound(Context context)
    {
        // 5.0  ֮
        if (android.os.Build.VERSION.SDK_INT >= android.os.Build.VERSION_CODES.LOLLIPOP)
        {
            AudioAttributes audioAttributes = new AudioAttributes.Builder()
                    .setUsage(AudioAttributes.USAGE_MEDIA)
                    .setContentType(AudioAttributes.CONTENT_TYPE_MUSIC)
                    .build();
            successSoundPool = new SoundPool.Builder()
                    .setMaxStreams(10)
                    .setAudioAttributes(audioAttributes)
                    .build();
            failSoundPool = new SoundPool.Builder()
                    .setMaxStreams(10)
                    .setAudioAttributes(audioAttributes)
                    .build();
        }
        else // 5.0 ǰ
        {
            successSoundPool = new SoundPool(10, AudioManager.STREAM_SYSTEM, 0);
            failSoundPool = new SoundPool(10, AudioManager.STREAM_SYSTEM, 0);
        }
        successSoundPool.load(context, R.raw.beep, 1);
        failSoundPool.load(context, R.raw.fail, 1);
        mAudioManager = (AudioManager)context.getSystemService(Context.AUDIO_SERVICE);
        volume = mAudioManager.getStreamVolume(AudioManager.STREAM_NOTIFICATION);//֪ͨ
    }


    /**
     * @param isok ɹʧܱ
     */
    public  void callAlarm(Boolean isok)
    {
        CheckVolumeForUpdate();

//        if(isok) successSoundPool.play(1, volume, volume, 1, 0, 1);
//        else failSoundPool.play(1, volume, volume, 1, 0, 1);
        
        if(isok) successSoundPool.play(1, (float)0.8, (float)0.8, 1, 0, 1);
        else failSoundPool.play(1, (float)0.8, (float)0.8, 1, 0, 1);
        
        //soundpool.playĵڶleftVolumerightVolumeܴ1ڲֻû
    }



    /**
     * 仯
     */
    public void CheckVolumeForUpdate()
    {
        if(volume != mAudioManager.getStreamVolume(AudioManager.STREAM_NOTIFICATION))
        {
            volume = mAudioManager.getStreamVolume(AudioManager.STREAM_NOTIFICATION);//֪ͨ
        }
    }


    /**
     * ͷԴ
     */
    public void release()
    {
        successSoundPool.release();
        failSoundPool.release();
    }
    
//    public int play(int soundID, float leftVolume, float rightVolume,int priority, int loop, float rate);
//          ļ
//    soundIDʾеڼļΪloadķֵloadʹãmapдݡʵҸоûҪ
//    leftVolumeͨΪ1
//    rightVolumeͨΪ1
//    priorityȶȣͨΪ0
//    loopǷѭ0ʾѭ1ϱʾѭ
//    rateʾʡ0.5-2֮䡣0.5ʾ50%2ʾٲš

}
