package tools.language;

import java.util.Locale;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.util.DisplayMetrics;
import android.util.Log;

public class LanguageUtils {
		
	Context context;
	private static LanguageUtils languageUtils = null;
	
	public static LanguageUtils getInstance(Context context) 
	{
		if(languageUtils == null)
		{
			languageUtils = new LanguageUtils(context);
		}
		return languageUtils;		
	}
	
		
	public LanguageUtils(Context context)
	{
		this.context = context;		
	}
	
	
	/**
	 * Դļʹ
	 * @param locale
	 */
	public void switchLanguage(Locale locale) 
	{
		Configuration config = context.getResources().getConfiguration();// ö
		Resources resources = context.getResources();// resԴ
		DisplayMetrics dm = resources.getDisplayMetrics();// ĻҪǷֱʣصȡ
		config.locale = locale; // 
		resources.updateConfiguration(config, dm);
	}
	
			
	/**
	 * ȡϵͳ
	 * @return
	 */
	public Locale GetLanguageLocale() 
	{
		Locale localeValue = Locale.CHINESE;
		try
		{
			Locale locale = context.getResources().getConfiguration().locale;
			String language = locale.getLanguage();
			if (language.endsWith("zh")) localeValue = Locale.CHINESE;
			else localeValue = Locale.ENGLISH;
		}
		catch(Exception ex)
		{
			localeValue = Locale.CHINESE;
		}
		return localeValue;
	}

}
