package com.example.passivebledemo;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.SeekBar;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.SeekBar.OnSeekBarChangeListener;
import tools.ShowToastUtils;
import tools.Sound;
import uhf.api.CommandType;
import uhf.api.EPCAndTID;
import uhf.api.Frequency_region;
import uhf.api.Gen2;
import uhf.api.ModuleConfig;
import uhf.api.Multi_interval;
import uhf.api.RfLink;

public class SettingsActivity extends Activity implements OnClickListener, OnSeekBarChangeListener {
	
	public static Context context;
	
    ////////////////////   ؼ   ////////////////////////
	
	private static TextView titleCenterText;
	private static Button titleLeftBtn;
	
    ////////////////////   ҳؼ   ////////////////////////
	
	//Ƶ
	private Spinner mSp_save, mSp_RfArea;
	private int int_save, int_RfArea, int_RfArea_tmp;
	private Button rfAreaGetBtn, rfAreaSetBtn;
	
	//RF·
	private Spinner mSp_RfLink;
	private int int_Rflink;
	private Button rflinkGetBtn, rflinkSetBtn;
	
	//ʱͼʱ
	private SeekBar mSb_workTime, mSb_intervalTime;
	private EditText workTimeText, intervalTimeText;
	private TextView mTv_workTime, mTv_intervalTime;
	private Button timeGetBtn, timeSetBtn;
	private int int_workTime = 0, int_intervalTime = 0;
	private int int_workTime_temp = 0, int_intervalTime_temp = 0;
	
	//EPCTID
	private Spinner mSp_EpcAndTidState;
	private int int_EpcAndTidState = 0;
	private Button tidGetBtn, tidSetBtn;
	
	//9200ȡRSSI
	private Spinner mSp_Rssi;
	private int int_Rssi = 0;
	private Button rssiGetBtn, rssiSetBtn;
	
	//Gen2
	private Spinner mSp_Gen2Type,mSp_StartQ,mSp_MinQ,mSp_MaxQ,mSp_Select,mSp_Session,mSp_Target;	
	private int int_Gen2Type_temp,int_StartQ_temp,int_MinQ_temp,int_MaxQ_temp,int_Select_temp,int_Session_temp,int_Target_temp = 0;
	private Button gen2GetBtn, gen2SetBtn;
	
    ////////////////////      ////////////////////////
	
	public static Sound mSound;
	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		// TODO Auto-generated method stub
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_setting);

		InitView();
		mSound = new Sound(this);//ʼ
		GetRfidConfig();
	}
	
		
	/**
	 * ʼҳ
	 */
	public void InitView()
	{
		context = this;
		InitTitle();
		
		if(!MainActivity.MajorVersion.equals("2")) //ֲֳΪ9200ģ鲻ʾrssi
		{
			LinearLayout llayout = (LinearLayout)findViewById(R.id.RssiLayout);
			llayout.setVisibility(View.GONE); // 
		}
		
		//Ƶ
		
		mSp_save = (Spinner) this.findViewById(R.id.sp_region_save);
		mSp_save.setOnItemSelectedListener(new Spinner.OnItemSelectedListener() {
			public void onItemSelected(AdapterView<?> arg0, View arg1, int arg2, long arg3) {
				int_save = arg2;
			}
			public void onNothingSelected(AdapterView<?> arg0) {
				// TODO Auto-generated method stub
			}
		});

		mSp_RfArea = (Spinner) this.findViewById(R.id.sp_region_region);
		mSp_RfArea.setOnItemSelectedListener(new Spinner.OnItemSelectedListener() {
			public void onItemSelected(AdapterView<?> arg0, View arg1, int arg2, long arg3) {
				int_RfArea_tmp = arg2 + 1;
			}
			public void onNothingSelected(AdapterView<?> arg0) {
				// TODO Auto-generated method stub
			}
		});

		rfAreaGetBtn = (Button) this.findViewById(R.id.bt_region_get);
		rfAreaGetBtn.setOnClickListener(this);
		rfAreaSetBtn = (Button) this.findViewById(R.id.bt_region_set);	
		rfAreaSetBtn.setOnClickListener(this);
		
		//RF·
		
		mSp_RfLink = (Spinner) this.findViewById(R.id.sp_rflinklist);
		mSp_RfLink.setOnItemSelectedListener(new Spinner.OnItemSelectedListener() {
			public void onItemSelected(AdapterView<?> arg0, View arg1, int arg2, long arg3) {
				int_Rflink = arg2;
			}

			public void onNothingSelected(AdapterView<?> arg0) {
				// TODO Auto-generated method stub
			}

		});
		
		rflinkGetBtn = (Button) this.findViewById(R.id.bt_rflink_get);
		rflinkGetBtn.setOnClickListener(this);
		rflinkSetBtn = (Button) this.findViewById(R.id.bt_rflink_set);
		rflinkSetBtn.setOnClickListener(this);

		//ʱͼʱ
				
		mSb_workTime = (SeekBar) this.findViewById(R.id.sb_worktime);
		mSb_workTime.setOnSeekBarChangeListener(this);
		mSb_intervalTime = (SeekBar) this.findViewById(R.id.sb_inter);
		mSb_intervalTime.setOnSeekBarChangeListener(this);
		
		workTimeText = (EditText) this.findViewById(R.id.et_worktime);
		workTimeText.addTextChangedListener(new TextWatcher() {
			@Override
			public void onTextChanged(CharSequence s, int start, int before, int count) {
				// TODO Auto-generated method stub
				workTimeText.setSelection(s.length());
				String str_s = "" + s;
				if (!str_s.equals("")) mSb_workTime.setProgress(Integer.parseInt(str_s));
			}
			@Override
			public void beforeTextChanged(CharSequence s, int start, int count, int after) {
				// TODO Auto-generated method stub
			}
			@Override
			public void afterTextChanged(Editable s) {
				// TODO Auto-generated method stub
			}
		});
				
		intervalTimeText = (EditText) this.findViewById(R.id.et_inter);
		intervalTimeText.addTextChangedListener(new TextWatcher() {
			@Override
			public void onTextChanged(CharSequence s, int start, int before, int count) {
				// TODO Auto-generated method stub
				intervalTimeText.setSelection(s.length());
				String str_s = "" + s;
				if (!str_s.equals("")) mSb_intervalTime.setProgress(Integer.parseInt(str_s));					
			}
			@Override
			public void beforeTextChanged(CharSequence s, int start, int count, int after) {
				// TODO Auto-generated method stub

			}
			@Override
			public void afterTextChanged(Editable s) {
				// TODO Auto-generated method stub

			}
		});
		
		workTimeText.setSelection(workTimeText.getText().length());
		intervalTimeText.setSelection(intervalTimeText.getText().length());
		
		mTv_workTime = (TextView) this.findViewById(R.id.tv_worktime);
		mTv_intervalTime = (TextView) this.findViewById(R.id.tv_inter);
		
		timeGetBtn = (Button) this.findViewById(R.id.bt_timer_get);
		timeGetBtn.setOnClickListener(this);
		timeSetBtn = (Button) this.findViewById(R.id.bt_timer_set);		
		timeSetBtn.setOnClickListener(this);
		
		//EPCTID
		
		mSp_EpcAndTidState = (Spinner) this.findViewById(R.id.sp_EpcAndTidState);
		mSp_EpcAndTidState.setOnItemSelectedListener(new Spinner.OnItemSelectedListener() {
			public void onItemSelected(AdapterView<?> arg0, View arg1, int arg2, long arg3) {
				int_EpcAndTidState = arg2;
			}
			public void onNothingSelected(AdapterView<?> arg0) {
				// TODO Auto-generated method stub
			}
		});
		
		tidGetBtn = (Button) this.findViewById(R.id.bt_tid_get);
		tidGetBtn.setOnClickListener(this);
		tidSetBtn = (Button) this.findViewById(R.id.bt_tid_set);	
		tidSetBtn.setOnClickListener(this);

        //9200ȡRSSI
		
		mSp_Rssi = (Spinner) this.findViewById(R.id.sp_set_rssi);
		mSp_Rssi.setOnItemSelectedListener(new Spinner.OnItemSelectedListener() {
			public void onItemSelected(AdapterView<?> arg0, View arg1, int arg2, long arg3) {
				int_Rssi = arg2;
			}
			public void onNothingSelected(AdapterView<?> arg0) {
				// TODO Auto-generated method stub
			}
		});
		
		rssiGetBtn = (Button) this.findViewById(R.id.bt_rssi_get);
		rssiGetBtn.setOnClickListener(this);
		rssiSetBtn = (Button) this.findViewById(R.id.bt_rssi_set);	
		rssiSetBtn.setOnClickListener(this);
		
        //Gen2
		
		//Gen2㷨
		mSp_Gen2Type = (Spinner) this.findViewById(R.id.sp_set_gen2type);
		mSp_Gen2Type.setOnItemSelectedListener(new Spinner.OnItemSelectedListener() {
			public void onItemSelected(AdapterView<?> arg0, View arg1, int arg2, long arg3) {
				int_Gen2Type_temp = arg2;
			}
			public void onNothingSelected(AdapterView<?> arg0) {
				// TODO Auto-generated method stub
			}
		});
		
		
		// ʼQ
		mSp_StartQ = (Spinner) this.findViewById(R.id.sp_set_startq);
		mSp_StartQ.setOnItemSelectedListener(new Spinner.OnItemSelectedListener() {
			public void onItemSelected(AdapterView<?> arg0, View arg1, int arg2, long arg3) {
				int_StartQ_temp = arg2;
			}
			public void onNothingSelected(AdapterView<?> arg0) {
				// TODO Auto-generated method stub
			}
		});
		
		// СQ
		mSp_MinQ = (Spinner) this.findViewById(R.id.sp_set_minq);
		mSp_MinQ.setOnItemSelectedListener(new Spinner.OnItemSelectedListener() {
			public void onItemSelected(AdapterView<?> arg0, View arg1, int arg2, long arg3) {
				int_MinQ_temp = arg2;
			}
			public void onNothingSelected(AdapterView<?> arg0) {
				// TODO Auto-generated method stub
			}
		});

		// Q
		mSp_MaxQ = (Spinner) this.findViewById(R.id.sp_set_maxq);
		mSp_MaxQ.setOnItemSelectedListener(new Spinner.OnItemSelectedListener() {
			public void onItemSelected(AdapterView<?> arg0, View arg1, int arg2, long arg3) {
				int_MaxQ_temp = arg2;
			}
			public void onNothingSelected(AdapterView<?> arg0) {
				// TODO Auto-generated method stub
			}
		});

		// Select
		mSp_Select = (Spinner) this.findViewById(R.id.sp_set_select);
		mSp_Select.setOnItemSelectedListener(new Spinner.OnItemSelectedListener() {
			public void onItemSelected(AdapterView<?> arg0, View arg1, int arg2, long arg3) {
				int_Select_temp = arg2;
			}

			public void onNothingSelected(AdapterView<?> arg0) {
				// TODO Auto-generated method stub
			}
		});

		// Session
		mSp_Session = (Spinner) this.findViewById(R.id.sp_set_session);
		mSp_Session.setOnItemSelectedListener(new Spinner.OnItemSelectedListener() {
			public void onItemSelected(AdapterView<?> arg0, View arg1, int arg2, long arg3) {
				int_Session_temp = arg2;
			}
			public void onNothingSelected(AdapterView<?> arg0) {
				// TODO Auto-generated method stub
			}
		});

		// Target
		mSp_Target = (Spinner) this.findViewById(R.id.sp_set_target);
		mSp_Target.setOnItemSelectedListener(new Spinner.OnItemSelectedListener() {
			public void onItemSelected(AdapterView<?> arg0, View arg1, int arg2, long arg3) {
				int_Target_temp = arg2;
			}
			public void onNothingSelected(AdapterView<?> arg0) {
				// TODO Auto-generated method stub
			}
		});
		
		gen2GetBtn = (Button) this.findViewById(R.id.bt_Gen2_get);
		gen2GetBtn.setOnClickListener(this);
		gen2SetBtn = (Button) this.findViewById(R.id.bt_Gen2_set);		
		gen2SetBtn.setOnClickListener(this);		
	}
	
	
	/**
	 * ʼ
	 */
	public void InitTitle()
	{
		//ť
		titleLeftBtn = (Button) this.findViewById(R.id.TitleLeftBtn);
		titleLeftBtn.setOnClickListener(this);
		
		//м
		titleCenterText = (TextView) this.findViewById(R.id.TitleCenterText);
	}


	/**
	 * ѯǰƵ
	 * */
	public void GetRfidConfig() 
	{
		Handler handler = new Handler();
		handler.postDelayed(new Runnable() {
			public void run() {				
				handleGetRfArea(false);
				if(count >= 3) return;
				handleGetTimer(false);
				handleGetRFLink(false);
				handleGetTID(false);	
				handleGetGen2(false);
				// ֳΪ9200ģȡrssi״̬
				if(MainActivity.MajorVersion.equals("2")) handleGetRssi(false);			
				ShowConfigNoNormalDialog();
			}
		}, 100);
	}


	int count = 0;
	@Override
	public void onClick(View v) 
	{
		count = 0;
		
		switch (v.getId()) 
		{
		case R.id.TitleLeftBtn:
			finish();// ǰ棬һ	
			break;
		case R.id.bt_region_get://ȡƵ
			handleGetRfArea(true);
			break;
		case R.id.bt_region_set://Ƶ
			handleSetRfArea();
			break;
		case R.id.bt_rflink_get://ȡRF·
			handleGetRFLink(true);
			break;
		case R.id.bt_rflink_set://RF·
			handleSetRFLink();
			break;
		case R.id.bt_timer_get://ȡʱͼʱ
			handleGetTimer(true);
			break;
		case R.id.bt_timer_set://ùʱͼʱ
			handleSetTimer();
			break;
		case R.id.bt_tid_get://ȡͬʱȡEPCTID״̬
			handleGetTID(true);
			break;
		case R.id.bt_tid_set://ͬʱȡEPCTID״̬
			handleSetTID();
			break;		
		case R.id.bt_rssi_get://ȡ9200ģȡRSSI״̬
			if(MainActivity.MajorVersion.equals("2")) handleGetRssi(true);
			break;
        case R.id.bt_rssi_set://9200ģȡRSSI״̬
        	if(MainActivity.MajorVersion.equals("2")) handleSetRssi();
			break;		
    	case R.id.bt_Gen2_get://ȡGen2
    		handleGetGen2(true);
			break;
        case R.id.bt_Gen2_set://Gen2
        	handleSetGen2();
			break;
		}		
	}
	
    ////////////////////   RFIDȡ   ////////////////////////
	
	//------------Ƶ------------ MainActivity.GetResourceString(R.string.Success)
	
	/**
	 * ѯƵ
	 */
	private void handleGetRfArea(Boolean IsSound) 
	{
		Frequency_region mFrequency_region = new Frequency_region(CommandType.GET_FREQUENCY_REGION, int_save, 0);
		Boolean ret = MainActivity.ReaderController.UHF_CMD(CommandType.GET_FREQUENCY_REGION, mFrequency_region);
		if (ret) 
		{
			ShowConfigPromptToast("Get"," " + MainActivity.GetResourceString(R.string.RFArea) + " ",true);	
			if (mFrequency_region.region > 0) int_RfArea = mFrequency_region.region - 1;
			else int_RfArea = mFrequency_region.region;

			RfRegion = mFrequency_region.region;
			mSp_RfArea.setSelection(int_RfArea);
			if(IsSound) mSound.callAlarm(true);
		} 
		else 
		{
			if (count < 3) 
			{
				count++;
				handleGetRfArea(IsSound);
			} 
			else 
			{
				ShowConfigPromptToast("Get"," " + MainActivity.GetResourceString(R.string.RFArea) + " ",false);	
				mSp_RfArea.setSelection(int_RfArea);
				if(IsSound) mSound.callAlarm(false);
			}
		}
	}

	/**
	 * Ƶ
	 */
	private void handleSetRfArea() 
	{
		// TODO Auto-generated method stub
		Frequency_region mFrequency_region = new Frequency_region(CommandType.SET_FREQUENCY_REGION, int_save,
				int_RfArea_tmp);
		Boolean ret = MainActivity.ReaderController.UHF_CMD(CommandType.SET_FREQUENCY_REGION, mFrequency_region);
		if (ret) 
		{
			ShowConfigPromptToast("Set"," " + MainActivity.GetResourceString(R.string.RFArea) + " ",true);		
			
			int_RfArea = int_RfArea_tmp;
			mSound.callAlarm(true);
			SetConfigAlm(CommandType.SET_FREQUENCY_REGION,int_RfArea_tmp);
		} 
		else 
		{
			if (count < 3) 
			{
				count++;
				handleSetRfArea();
			} 
			else 
			{
				ShowConfigPromptToast("Set"," " + MainActivity.GetResourceString(R.string.RFArea) + " ",false);					
				mSp_RfArea.setSelection(int_RfArea);
				mSound.callAlarm(false);
			}
		}
	}
	
	
	//------------RF·------------
	
	/**
	 * ѯRF·
	 */
	private void handleGetRFLink(Boolean IsSound) 
	{
		// TODO Auto-generated method stub
		RfLink mRfLink = new RfLink();
		mRfLink.com_type = CommandType.GET_RF_LINK;
		mRfLink.rflink_Type = 0;

		Boolean ret = MainActivity.ReaderController.UHF_CMD(CommandType.GET_RF_LINK, mRfLink);
		if (ret) 
		{
			int_Rflink = mRfLink.rflink_Type;
			RfLink = mRfLink.rflink_Type;
			
			ShowConfigPromptToast("Get"," " + MainActivity.GetResourceString(R.string.RFLink) + " ",true);		
			if(IsSound) mSound.callAlarm(true);
			mSp_RfLink.setSelection(int_Rflink);
		} 
		else 
		{
			if (count < 3) 
			{
				count++;
				handleGetRFLink(IsSound);
			} 
			else 
			{
				ShowConfigPromptToast("Get"," " + MainActivity.GetResourceString(R.string.RFLink) + " ",false);			
				if(IsSound) mSound.callAlarm(false);
			}
		}
	}

	/**
	 * RF·
	 */
	private void handleSetRFLink() 
	{
		RfLink mRfLink = new RfLink();
		mRfLink.com_type = CommandType.SET_RF_LINK;
		mRfLink.rflink_Type = int_Rflink;
		mRfLink.save = 1;

		Boolean ret = MainActivity.ReaderController.UHF_CMD(CommandType.SET_RF_LINK, mRfLink);
		if (ret) 
		{
			ShowConfigPromptToast("Set"," " + MainActivity.GetResourceString(R.string.RFLink) + " ",true);	
			mSound.callAlarm(true);
			SetConfigAlm(CommandType.SET_RF_LINK,int_Rflink);
		} 
		else 
		{
			if (count < 3) 
			{
				count++;
				handleSetRFLink();
			} 
			else 
			{
				ShowConfigPromptToast("Set"," " + MainActivity.GetResourceString(R.string.RFLink) + " ",false);					
				mSound.callAlarm(false);
			}
		}
	}
	
	
	//------------ʱͼʱ------------
	
    /**
     * ѯ߹ʱ䡢ȴʱ
     */
	private void handleGetTimer(Boolean IsSound) 
	{
		// TODO Auto-generated method stub
		Multi_interval mMulti_interval = new Multi_interval();
		mMulti_interval.com_type = CommandType.GET_MULTI_QUERY_TAGS_INTERVAL;
		mMulti_interval.work_time = 0;
		mMulti_interval.interval = 0;

		Boolean ret = MainActivity.ReaderController.UHF_CMD(CommandType.GET_MULTI_QUERY_TAGS_INTERVAL,mMulti_interval);
		if (ret) 
		{
			ShowConfigPromptToast("Get"," " + MainActivity.GetResourceString(R.string.WorkTime) + " ",true);			
			
			int_workTime = mMulti_interval.work_time;
			mSb_workTime.setProgress(int_workTime);

			int_intervalTime = mMulti_interval.interval;
			mSb_intervalTime.setProgress(int_intervalTime);

			if(IsSound) mSound.callAlarm(true);
		} 
		else 
		{
			if (count < 3) 
			{
				count++;
				handleGetTimer(IsSound);
			} 
			else 
			{
				ShowConfigPromptToast("Get"," " + MainActivity.GetResourceString(R.string.WorkTime) + " ",false);	
							
				mSb_intervalTime.setProgress(int_intervalTime);
				mSb_workTime.setProgress(int_workTime);
				if(IsSound) mSound.callAlarm(false);
			}
		}
	}

	/**
	 * ߹ʱ䡢ȴʱ
	 */
	private void handleSetTimer() 
	{
		// TODO Auto-generated method stub
		Multi_interval mMulti_interval = new Multi_interval();
		mMulti_interval.com_type = CommandType.SET_MULTI_QUERY_TAGS_INTERVAL;
		mMulti_interval.work_time = int_workTime_temp;
		mMulti_interval.interval = int_intervalTime_temp;

		Boolean ret = MainActivity.ReaderController.UHF_CMD(CommandType.SET_MULTI_QUERY_TAGS_INTERVAL,mMulti_interval);
		if (ret) 
		{
			ShowConfigPromptToast("Set"," " + MainActivity.GetResourceString(R.string.WorkTime) + " ",true);		
			
			int_workTime = int_workTime_temp;
			int_intervalTime = int_intervalTime_temp;
			mSound.callAlarm(true);
		} 
		else 
		{
			if (count < 3) 
			{
				count++;
				handleSetTimer();
			} 
			else 
			{
				ShowConfigPromptToast("Set"," " + MainActivity.GetResourceString(R.string.WorkTime) + " ",false);		
				
				mSb_intervalTime.setProgress(int_intervalTime);
				mSb_workTime.setProgress(int_workTime);
				mSound.callAlarm(false);
			}
		}
	}
	
	
	//------------ͬʱȡEPCTID״̬------------
	
	/**
	 * ѯͬʱEPCTID״̬
	 */
	private void handleGetTID(Boolean IsSound) 
	{
		EPCAndTID mepcandtid = new EPCAndTID();
		mepcandtid.com_type = CommandType.GET_EPCAndTID;
		mepcandtid.state = 0;

		Boolean ret = MainActivity.ReaderController.UHF_CMD(CommandType.GET_EPCAndTID, mepcandtid);
		if (ret) 
		{
			ShowConfigPromptToast("Get"," " + "EpcAndTid" + " ",true);		
			mSp_EpcAndTidState.setSelection(mepcandtid.state);
			if(IsSound) mSound.callAlarm(true);
		} 
		else 
		{
			if (count < 3) 
			{
				count++;
				handleGetTID(IsSound);
			} 
			else 
			{
				ShowConfigPromptToast("Get"," " + "EpcAndTid" + " ",false);		
				if(IsSound) mSound.callAlarm(false);
			}
		}
	}
	
	/**
	 * ͬʱEPCTID״̬
	 */
	private void handleSetTID() 
	{
		EPCAndTID mepcandtid = new EPCAndTID();
		mepcandtid.com_type = CommandType.SET_EPCAndTID;
		mepcandtid.state = int_EpcAndTidState;

		Boolean ret = MainActivity.ReaderController.UHF_CMD(CommandType.SET_EPCAndTID, mepcandtid);
		if (ret) 
		{
			ShowConfigPromptToast("Set"," " + "EpcAndTid" + " ",true);		
			mSp_EpcAndTidState.setSelection(int_EpcAndTidState);
			mSound.callAlarm(true);
			
	        MainActivity.tag_str_tmp_Read = MainActivity.tag_str_tmp_write= MainActivity.NewTagFlag = 0;
		} 
		else 
		{
			if (count < 3) 
			{
				count++;
				handleSetTID();
			} 
			else 
			{
				ShowConfigPromptToast("Set"," " + "EpcAndTid" + " ",false);		
				mSound.callAlarm(false);
			}
		}
	}
	
	
	//------------9200ȡRSSI״̬------------
	
	/**
	 * ѯ9200Rssiȡ״̬
	 */
	public void handleGetRssi(Boolean IsSound) 
	{
		 ModuleConfig moduleConfig = new ModuleConfig();
		 moduleConfig.com_type = CommandType.MODULE_CONFIG;
		 moduleConfig.subCmd = 0x01;//9200Rssi	 
		 moduleConfig.funcCmd = 0x01;//ȡ
		 moduleConfig.rssiState = (byte)0x00;		 
	     Boolean ret = MainActivity.ReaderController.UHF_CMD(CommandType.MODULE_CONFIG, moduleConfig);
	 	if (ret) 
	 	{
	 		if(moduleConfig.rssiState == (byte)0xAA) mSp_Rssi.setSelection(1);
	 		else if(moduleConfig.rssiState == (byte)0x55) mSp_Rssi.setSelection(0);
	 			 		
	 		if(!rssiSetBtn.isEnabled()) rssiSetBtn.setEnabled(true);
	 		
	 		ShowConfigPromptToast("Get"," " + "Rssi" + " ",true);			
			if(IsSound) mSound.callAlarm(true);
		} 
	 	else 
	 	{
	 		ShowConfigPromptToast("Get"," " + "Rssi" + " ",false);		
			if(IsSound) mSound.callAlarm(false);
		}
	}
	
	
	/**
	 * 9200Rssiȡ״̬
	 */
	public void handleSetRssi() 
	{
		 ModuleConfig moduleConfig = new ModuleConfig();
		 moduleConfig.com_type = CommandType.MODULE_CONFIG;
		 moduleConfig.subCmd = 0x01;//9200Rssi	 
		 moduleConfig.funcCmd = 0x00;//
		if(int_Rssi == 1) moduleConfig.rssiState = (byte)0xAA;   //
		else if(int_Rssi == 0) moduleConfig.rssiState = (byte)0x55; //ر
		Boolean ret = MainActivity.ReaderController.UHF_CMD(CommandType.MODULE_CONFIG, moduleConfig);
	    if (ret) 
	    {	 		
	    	ShowConfigPromptToast("Set"," " + "Rssi" + " ",true);			
			mSound.callAlarm(true);
		} 
	    else 
	    {
	    	ShowConfigPromptToast("Set"," " + "Rssi" + " ",false);			    	
			mSound.callAlarm(false);
		}
	}
	
	
	//------------Gen2------------
	
	/**
	 * ѯGen2
	 */
	private void handleGetGen2(Boolean IsSound) 
	{
		Gen2 mGen2 = new Gen2();
		mGen2.com_type = CommandType.GET_GEN2_PARAM;
		mGen2.Q = mGen2.startQ = mGen2.MinQ = mGen2.MaxQ = mGen2.Select = mGen2.Session = mGen2.Target = 0;
		
		Boolean ret = MainActivity.ReaderController.UHF_CMD(CommandType.GET_GEN2_PARAM, mGen2);
		if (ret) 
		{
			ShowConfigPromptToast("Get"," " + "Gen2" + " ",true);		
			
			mSp_Gen2Type.setSelection(mGen2.Q);
			mSp_StartQ.setSelection(mGen2.startQ);
			mSp_MinQ.setSelection(mGen2.MinQ);
			mSp_MaxQ.setSelection(mGen2.MaxQ);
			mSp_Select.setSelection(mGen2.Select);
			mSp_Session.setSelection(mGen2.Session);
			mSp_Target.setSelection(mGen2.Target);
					
			if(IsSound) mSound.callAlarm(true);
		} 
		else 
		{
			if (count < 3) 
			{
				count++;
				handleGetGen2(IsSound);
			} 
			else 
			{
				ShowConfigPromptToast("Get"," " + "Gen2" + " ",false);	
				if(IsSound) mSound.callAlarm(false);
			}
		}
	}
	

	
	/**
	 * Gen2
	 */
	private void handleSetGen2() 
	{
		Gen2 mGen2 = new Gen2();
		mGen2.com_type = CommandType.SET_GEN2_PARAM;
		mGen2.Q = int_Gen2Type_temp;
	    mGen2.startQ = int_StartQ_temp;
	    mGen2.MinQ = int_MinQ_temp;
	    mGen2.MaxQ = int_MaxQ_temp;
	    mGen2.Select = int_Select_temp;
	    mGen2.Session = int_Session_temp;
	    mGen2.Target = int_Target_temp;

		Boolean ret = MainActivity.ReaderController.UHF_CMD(CommandType.SET_GEN2_PARAM, mGen2);
		if (ret) 
		{
			ShowConfigPromptToast("Set"," " + "Gen2" + " ",true);	
			mSound.callAlarm(true);
		} 
		else 
		{
			if (count < 3) 
			{
				count++;
				handleSetGen2();
			} 
			else 
			{
				ShowConfigPromptToast("Set"," " + "Gen2" + " ",false);
				mSound.callAlarm(false);
			}
		}
	}
	
	
    ////////////////////   òʾ   ////////////////////////
	
	/**
	 * ʾò
	 */
	public void ShowConfigPromptToast(String actionType,String configName,Boolean result)
	{
		if(actionType.equals("Get"))
		{
			if(result)
			{
				titleCenterText.setText(MainActivity.GetResourceString(R.string.Get) + configName + MainActivity.GetResourceString(R.string.Success));
				ShowToastUtils.ShowToast(context,MainActivity.GetResourceString(R.string.Get) + configName + MainActivity.GetResourceString(R.string.Success));	 	
			}
			else
			{
				titleCenterText.setText(MainActivity.GetResourceString(R.string.Get) + configName + MainActivity.GetResourceString(R.string.Fail));
				ShowToastUtils.ShowToast(context,MainActivity.GetResourceString(R.string.Get) + configName + MainActivity.GetResourceString(R.string.Fail));	 	
			}			
		}
		else
		{
			if(result)
			{
				titleCenterText.setText(MainActivity.GetResourceString(R.string.Set) + configName + MainActivity.GetResourceString(R.string.Success));
				ShowToastUtils.ShowToast(context,MainActivity.GetResourceString(R.string.Set) + configName + MainActivity.GetResourceString(R.string.Success));	 
			}
			else
			{
				titleCenterText.setText(MainActivity.GetResourceString(R.string.Set) + configName + MainActivity.GetResourceString(R.string.Fail));
				ShowToastUtils.ShowToast(context,MainActivity.GetResourceString(R.string.Set) + configName + MainActivity.GetResourceString(R.string.Fail));	
			}	
		}		
	}
	
	
	////////////////////   ҳؼ¼   ////////////////////////
	
	@Override
	public void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser) {
		// TODO Auto-generated method stub
		if (seekBar == mSb_workTime) 
		{
			int_workTime_temp = progress;
			workTimeText.setText("" + int_workTime_temp);
			mTv_workTime.setText("" + int_workTime_temp + "ms");
		} 
		else if (seekBar == mSb_intervalTime) 
		{
			int_intervalTime_temp = progress;
			intervalTimeText.setText("" + int_intervalTime_temp);
			mTv_intervalTime.setText("" + int_intervalTime_temp + "ms");
		}
	}


	@Override
	public void onStartTrackingTouch(SeekBar seekBar) {
		// TODO Auto-generated method stub
		
	}


	@Override
	public void onStopTrackingTouch(SeekBar seekBar) {
		// TODO Auto-generated method stub
		
	}
	
	
    ////////////////////   ҳظ   ////////////////////////
	
	
	public int RfRegion = 0;//Ƶ
	public int RfLink = 0;//·

	public void ShowConfigNoNormalDialog()
	{
		Boolean IsOkRfRegion = false;
		Boolean IsOkRfLink = false;
		
		String DefaultValue_RfArea = MainActivity.GetResourceString(R.string.DefaultValue);
		String DefaultValue_RfLink = MainActivity.GetResourceString(R.string.DefaultValue) + "PR/M4/250KHz)";
		
		if(MainActivity.MajorVersion.equals("2"))
		{
			DefaultValue_RfArea += "China2)";
			if(RfRegion == 2) IsOkRfRegion = true;//China2
		}
		else
		{
			DefaultValue_RfArea += "USA)";
			if(RfRegion == 4) IsOkRfRegion = true;//USA
		}
		
		if(RfLink == 1) IsOkRfLink = true;//250KHz
		
		String DialogMsg = "";
		if(IsOkRfRegion == false) DialogMsg += MainActivity.GetResourceString(R.string.RFArea) + DefaultValue_RfArea + ",";
		if(IsOkRfLink == false) DialogMsg += MainActivity.GetResourceString(R.string.RFLink) + DefaultValue_RfLink + ",";
		
		if(!DialogMsg.equals(""))
		{
			DialogMsg = DialogMsg.substring(0,DialogMsg.length() - 1);
			ShowToastUtils.ShowToast(context,MainActivity.GetResourceString(R.string.NoNormalConfig) + DialogMsg);
		}
	}
	
	
    public Boolean IsShowSetRfRegionAlm = false;//ǷʾƵΪǳʾ
    public Boolean IsShowSetRfLinkAlm = false;//ǷʾRF·Ϊǳʾ
	
	/**
	 * ÷ǳʾ
	 * @param setType  
	 * @param value
	 */
    public void SetConfigAlm(byte setType,int value)
    {
    	String showMsg = "";
    	if(setType == CommandType.SET_FREQUENCY_REGION && IsShowSetRfRegionAlm == false)
    	{
    		if(MainActivity.MajorVersion.equals("2") && value != 2) // != China2 
    		{
    			showMsg = MainActivity.GetResourceString(R.string.DefaultValue) + "China2)";
    			IsShowSetRfRegionAlm = true;
    		}
    		else if(!MainActivity.MajorVersion.equals("2") && value != 4) // != USA
    		{
    			showMsg = MainActivity.GetResourceString(R.string.DefaultValue) + "USA)";
    			IsShowSetRfRegionAlm = true;
    		}   		
    	}
    	else if(setType == CommandType.SET_RF_LINK && IsShowSetRfLinkAlm == false)
    	{  		
    		if(value != 1) // != 250KHz
    		{
    			showMsg = MainActivity.GetResourceString(R.string.DefaultValue) + "PR/M4/250KHz)";
    			IsShowSetRfLinkAlm = true;
    		}
    	}
    	
    	if(!showMsg.equals(""))
    	{
    		showMsg = MainActivity.GetResourceString(R.string.NoNormalConfigAlm) + showMsg;
    		ShowToastUtils.ShowToast(context,showMsg);
    	}
    }
	
	
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		if (item.getItemId() == android.R.id.home) finish();// ǰ棬һ		
		return true;
	}

}

