package demoui.ble;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;
import java.util.List;

import com.example.passivebledemo.R;

public class BleAdapter extends BaseAdapter {
    private Context context;//һĶ
    private List<BleDevices> datas;//һList飬AnimalMainActivity

    public BleAdapter(Context context, List<BleDevices> datas) {
        this.context = context;
        this.datas = datas;
    }

    @Override
    public int getCount() {
        //ȡݵĳ
        return datas.size();
    }

    @Override
    public Object getItem(int i) {
        //˺ܶݣȡڵλ
        return datas.get(i);
    }

    @Override
    public long getItemId(int i) {
        return i;
    }

    @Override
    public View getView(int i, View view, ViewGroup viewGroup) {
    	BleDevices bleDevices = (BleDevices) getItem(i);//ʵλϵĶ
        View v;//ͼvظListViewģΪListViewͼ
        ViewHold viewHold;//ʱĴViewHoldǰgetViewÿηصView´
        if (view == null){
            v = LayoutInflater.from(context).inflate(R.layout.adapter_scanble,null);
            //adapter_viewͼΪͼv
            viewHold = new ViewHold();

            //idadapter_viewͼ
            viewHold.bleImage = (ImageView) v.findViewById(R.id.ima1);
            viewHold.bleName = (TextView) v.findViewById(R.id.tv_BleName);
            viewHold.bleMac = (TextView) v.findViewById(R.id.tv_BleMac);
            viewHold.bleRecord = (TextView) v.findViewById(R.id.tv_BleRecord);
            viewHold.bleRssi = (TextView) v.findViewById(R.id.tv_BleRssi);

            v.setTag(viewHold);//еͼõv
        }else{
            v = view;
            viewHold = (ViewHold)v.getTag();
        }
        //ƶλϵʾռ
        viewHold.bleName.setText(bleDevices.getName());
        viewHold.bleName.setTextColor(bleDevices.getNameColor());
        viewHold.bleMac.setText(bleDevices.getMac());
        viewHold.bleRecord.setText(bleDevices.getRecord());
        viewHold.bleRssi.setText(bleDevices.getRssi() + "");
        viewHold.bleImage.setImageResource(bleDevices.getImgId());
        //ͼvmainʾ
        return v;
    }

    
    class ViewHold
    {
        //(ҲBleDevices)ʵxmlļĿؼԽ
        ImageView bleImage;
        TextView bleName;
        TextView bleMac;
        TextView bleRecord;
        TextView bleRssi;
    }
}


