package demoui.ble;

import com.clj.fastble.data.BleDevice;

public class BleDevices implements Comparable<BleDevices> {

    private String name;
    private String mac;
    private String record;
    private Integer rssi;
    private int imgId;
    private int nameColor;
    private BleDevice bleDevice;

    public BleDevices(String name, String mac, String record, Integer rssi, int imgId,int nameColor,BleDevice bleDevice) {
        this.name = name;
        this.mac = mac;     
        this.record = record;
        this.rssi = rssi;
        this.imgId = imgId;
        this.nameColor = nameColor;
        this.bleDevice = bleDevice;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }
    
    public String getRecord() {
        return record;
    }

    public void setRecord(String record) {
        this.record = record;
    }
    
    public Integer getRssi() {
        return rssi;
    }

    public void setRssi(Integer rssi) {
        this.rssi = rssi;
    }
    
    public int getImgId() {
        return imgId;
    }

    public void setImgId(int imgId) {
        this.imgId = imgId;
    }
       
    public int getNameColor() {
        return nameColor;
    }

    public void setNameColor(int nameColor) {
        this.nameColor = nameColor;
    }
       
    public BleDevice getBleDevice() {
        return bleDevice;
    }

    public void setBleDevice(BleDevice bleDevice) {
        this.bleDevice = bleDevice;
    }
    
    /**
     * Ϊ
     */
    @Override
	public int compareTo(BleDevices bleDevice) {
		return bleDevice.getRssi().compareTo(this.getRssi());
	} 
    
}

